<!DOCTYPE html>
<html>
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='main.css') }}">
    
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.css">
    <!-- JS Links -->
    <script src="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.js"></script>
    

    {% if title %}
        <title>KLL - {{ title }}</title>
    {% else %}
        <title>OneDoc</title>
    {% endif %}
</head>
<body>
    <header class="site-header">
      <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
        <div class="container">
          <a class="navbar-brand mr-4" href="/">OneDoc</a>

          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarToggle">
            <div class="navbar-nav mr-auto">
            </div>
            <!-- Navbar Right Side -->
            <div class="navbar-nav">
              {% if current_user.is_authenticated %}
              <a class="nav-item nav-link" href="{{ url_for('users.account') }}">Konto</a>
              <a class="nav-item nav-link" href="{{ url_for('users.logout') }}">Wyloguj</a>
                {% if current_user.role == 'admin' %}
                <a class="nav-item nav-link" href="{{ url_for('users.list') }}">Lista użytkowników</a>
                <a class="nav-item nav-link" href="{{ url_for('branches.list') }}">Lista gałęzi</a>
                <a class="nav-item nav-link" href="{{ url_for('users.register') }}">Rejestracja</a>
                <a class="nav-item nav-link" href="{{ url_for('documents.new') }}">Dodaj dokument</a>
                {% elif current_user.role == 'moderator' %}
                <a class="nav-item nav-link" href="{{ url_for('sections.new') }}">Dodaj sekcje</a>
                {% elif current_user.role == 'subscriber' %}

                {% endif %}
              {% else %}
              <a class="nav-item nav-link" href="{{ url_for('users.login') }}">Logowanie</a>
              {% endif %}
            </div>
          </div>
        </div>
      </nav>
    </header>
    <main class="w-100">
      <div class="col-sm-12">
      <div class="row">
        <div class="col-md-3">
          {% if current_user.is_anonymous == False %}
          <div class="content-section">
            <h3>OneDoc</h3>
            <p class='text-muted' id="muted">OneDoc jest narzędziem służącym do efektywnego tworzenia dokumentacji dla różnych wdrożeń i konfiguracji tego samego produktu u klienta.
              <ul class="list-group">
                <li class="list-group-item list-group-item-light"><input type="text" placeholder="Wyszukiwanie" id="search_input"></li>
              </ul>
            </p>
          </div>
          {% endif %}
          {% if current_user.is_anonymous == False %}
          <div class="content-layout">
          <div class="content-section">
            <h3 style="text-align: left;"><a href="/">MENU</a></h3>
            {% for document in documents %}
            <ul class="navbar-nav ml-auto">
              <h3 style="margin-top: 10px;"><li class="nav-item"><a href="{{ url_for('documents.show', id_document=document.id) }}">{{ document.title }}</a></li></h3>
              {% for section in sections %}
                {% if current_user.role == 'admin' %}
                  {% if document.id == section.id_document and section.id_branch == None %}
                    <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                      <a class="nav-link" id="v-pills-home-tab"  href="{{ url_for('sections.section', section_id=section.id) }}" role="tab" aria-controls="v-pills-home" aria-selected="true">{{ section.title }}</a>
                    </div>
                  {% endif %}
                  {% elif current_user.id_branch == section.id_branch or section.id_branch == None %}
                    {% if document.id == section.id_document %}
                      <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                        <a class="nav-link" id="v-pills-home-tab"  href="{{ url_for('sections.section', section_id=section.id) }}" role="tab" aria-controls="v-pills-home" aria-selected="true">{{ section.title }}</a>
                      </div>
                    {% endif %}
                  {% endif %}
              {% endfor %}
            </ul>
            {% endfor %}
          {% endif %}
          </div>
        </div>
        </div>
        <div class="col-md-9">
          {% with messages = get_flashed_messages(with_categories=true) %}
            {% if messages %}
              {% for category, message in messages %}
                <div class="alert alert-{{ category }}">
                  {{ message }}
                </div>
              {% endfor %}
            {% endif %}
          {% endwith %}
          {% block content %}{% endblock %}
        </div>
      </div>
    </div>
    </main>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="../static/script.js"></script>

</body>
</html>
